Loading...
Searching...
No Matches
CodeGen_Targets.h File Reference

Provides constructors for code generators for various targets. More...

`#include <memory>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::unique_ptr< CodeGen_Posix > | Halide::Internal::new_CodeGen_ARM (const Target &target)
| Construct CodeGen object for a variety of targets.
std::unique_ptr< CodeGen_Posix > | Halide::Internal::new_CodeGen_Hexagon (const Target &target)
std::unique_ptr< CodeGen_Posix > | Halide::Internal::new_CodeGen_PowerPC (const Target &target)
std::unique_ptr< CodeGen_Posix > | Halide::Internal::new_CodeGen_RISCV (const Target &target)
std::unique_ptr< CodeGen_Posix > | Halide::Internal::new_CodeGen_X86 (const Target &target)
std::unique_ptr< CodeGen_Posix > | Halide::Internal::new_CodeGen_WebAssembly (const Target &target)

## Detailed Description

Provides constructors for code generators for various targets.

Definition in file CodeGen_Targets.h.